package com.huimv.getdata.service.impl;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.getdata.entity.*;
import com.huimv.getdata.mapper.ErpBdDepartmentMapper;
import com.huimv.getdata.mapper.ErpBdOrgMapper;
import com.huimv.getdata.service.IErpBdOrgService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author author
 * @since 2025-01-03
 */
@Service
public class ErpBdOrgServiceImpl extends ServiceImpl<ErpBdOrgMapper, ErpBdOrg> implements IErpBdOrgService {

    @Autowired
    private   ErpBdOrgMapper erpBdOrgMapper;

    @Autowired
    private ErpBdDepartmentMapper erpBdDepartmentMapper;

    @Override
    public List<ErpBdOrg> getOrg() {
       return erpBdOrgMapper.getOrg();
    }

    @Override
    public List<ErpBdDepartment> getDep() {
        return erpBdDepartmentMapper.getDep();
    }

    @Override
    public List<ErpBdMaterial> getMaterial() {
         return erpBdDepartmentMapper.getMaterial();
    }

    @Override
    public List<ErpMaterial> getMaterialDetail(String fnumber) {

            return erpBdDepartmentMapper.getMaterialDetail(fnumber+"%");
    }

    @Override
    public List<ErpMaterial> getReagent(String fnumber) {
        return erpBdDepartmentMapper.getReagent();

    }

    @Override
    public List<ErpQuali> getQuail() {
        return erpBdDepartmentMapper.getQuail();
    }

    @Override
    public List<ErpQualiQm> getQuailIbit() {
        return erpBdDepartmentMapper.getQuailIbit();
    }

    @Override
    public List<ErpBdMaterial> getMaterialRaw() {
        return erpBdDepartmentMapper.getMaterialRaw();
    }
}
